#include <stdlib.h>
#include <stdio.h>


extern int majversion,minversion;


void sendhelp (void) {

  printf("\nKILL2  "__DATE__"  "__TIME__" v%d.%02d",majversion,minversion);
  printf("    Usage:  KILL2 -<switches> <files>\n"
         "\nswitches:\n-L  List only (default)\n-T  Touch only\n-K  Kill 'em (no death without this)"
         "\n-E  Exclude (-EAFILEN.AME excludes AFILEN.AME)"
         "\n-D  Age in days of files to delete (default = 0, all files)"
         "\n-R  Recurse subdirectories"
         "\n--  First dash is removed, then the argument is processed as a <file>"
         "\n-?  This help\n");
  printf("\nWhere kill/touch/list/exclude filenames are given, wildcarded patterns"
         "\nand paths may be used.  Multiple file patterns may be given."
         "\n\"KILL2 -K -E*.DAT -E*.EXE D*.* C:\\STUFF\\E*.*\" is a valid command line.\n");
  printf("\nFiles beginning with \'@\' are considered list files (text files containing"
         "\nlists of file patterns, one per line).  Enter @@filename to work on a file"
         "\nnamed @filename.\n");
  printf("\nIf it concerns you, KILL2 processes its arguments in reverse order"
         "\nfrom the command line.  However, it processes all arguments before beginning"
         "\nits work.  Arguments may be in any order.");
  fprintf(stderr,"\nKILL2 is copyright (c) 1992 by M. Kimes -- all rights reserved");
}
