/*
 *  match = wildcard("TEST.FIL","??ST.*");
 */

#include <stdlib.h>
#include <ctype.h>
#include <string.h>



int _fastcall index (char *s,char c) {  /* handy dandy index replacement */

    char *p;

    p = strchr(s,c);
    if(p == NULL || !*p) return -1;
    return (int)(p - s);
}



int _fastcall wildcard (char *fstr,char *fcard) {

  int   wmatch;
  int   w,wlen,x;
  int   wch1,wch2;
  char *p;


  if(!fcard || !*fcard) return 1; /* match if nothing to match */

  wmatch = 1;
  wlen = strlen(fcard);

  w = 0;
  while (wmatch && (w < wlen) && *fstr)
    switch(fcard[w]) {
      case '?' :                        /* character substitution */
         w ++;
         fstr++;                        /* look at next character */
         break;

      case '*' :
         x = 0;
         p = fstr;
         while(*p && *p != '.') {
           p++;
           x++;
         }
         if(!*p) x = 0;
         x = index(fstr,'.');           /* look for dot */
         if (x > 0) {
           fstr += (int) x ;            /* get past period */
           w++;
         }
         else {
           w = wlen;                    /* exit loop */
           wmatch = (fcard[wlen - 1] == '*');
         }
         break;

      default  :
         wch1 = *fstr++;
         wch2 = fcard[w++];
         wmatch = (toupper(wch1) == toupper(wch2));
         break;
    }

  if (fcard[w] && (fcard[w] != '*')) return 0;
  else return wmatch;
}

